<?php
// Caminho para o arquivo JSON
$jsonFile = 'dadossup.json';

// Função para carregar e decodificar o arquivo JSON
function loadJson($file) {
    if (file_exists($file)) {
        $jsonData = file_get_contents($file);
        return json_decode($jsonData, true); // Decodifica como array associativo
    }
    return [];
}

// Função para salvar os dados de volta no arquivo JSON
function saveJson($file, $data) {
    $jsonData = json_encode($data, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE);
    file_put_contents($file, $jsonData);
}

// Carregar os dados JSON
$data = loadJson($jsonFile);

// Verificar se o formulário de edição foi enviado para salvar as alterações
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['edit'])) {
    // Atualizar os dados com os valores do formulário de edição
    foreach ($data as $key => $item) {
        if (isset($_POST['referencia'][$key], $_POST['especificacao'][$key], $_POST['fecharComo'][$key])) {
            $data[$key]['referencia'] = $_POST['referencia'][$key] ?? $item['referencia'];
            $data[$key]['especificacao'] = $_POST['especificacao'][$key] ?? $item['especificacao'];
            $data[$key]['fecharComo'] = $_POST['fecharComo'][$key] ?? $item['fecharComo'];
        }
    }

    // Salvar os dados de volta no arquivo JSON
    saveJson($jsonFile, $data);

    echo "Dados atualizados com sucesso!";
}


// Verificar se o formulário de adição foi enviado para adicionar um novo registro
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['add'])) {
    // Novo registro a ser adicionado
    $novoRegistro = [
        'referencia' => $_POST['nova_referencia'],
        'especificacao' => $_POST['nova_especificacao'],
        'fecharComo' => $_POST['nova_fecharComo']
    ];

    // Adicionar o novo registro ao array existente
    $data[] = $novoRegistro;

    // Salvar os dados de volta no arquivo JSON
    saveJson($jsonFile, $data);

    echo "Novo registro adicionado com sucesso!";
}
?>
<!DOCTYPE html>
<html lang="pt-BR">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="./css/modal.css">
    <link rel="stylesheet" href="./css/stylemenu.css" defer>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.2/font/bootstrap-icons.min.css">
    <script src="./js/buscar_cep.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.min.js" defer></script>
    <script src="./js/jquery-3.6.4.min.js"></script>
    <script src="./js/script_reparo.js" defer></script>
    <!-- Chamando select -->
    <link href="./css/select2.css" rel="stylesheet" />
    <script src="./js/select2.js"></script>
    <style>
    body {
        font-family: Arial, sans-serif;
        margin: 0;
        padding: 0;
        background-color: #f4f4f9;
        color: #333;
        display: flex;
        justify-content: center;
        align-items: flex-start;
        height: 100vh;
    }

    h2 {
        text-align: center;
        color: #007BFF;
    }

    .container {
        display: flex;
        width: 90%;
        margin: auto;
        ;
    }

    .tabs {
        width: 250px;
        padding: 20px;
        background-color: #f9f9f9;
        border-right: 2px solid #007BFF;
        display: flex;
        margin-top: 18px;
        border-radius: 15px;
        flex-direction: column;
        box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    }

    .tabs button {
        background-color: #f1f1f1;
        border: 1px solid #ccc;
        padding: 10px;
        margin-bottom: 10px;
        cursor: pointer;
        transition: background-color 0.3s;
        text-align: left;
        border-radius: 4px;
        box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    }

    .tabs button:hover {
        background-color: #ddd;
    }

    .tabs button.active {
        background-color: #007BFF;
        color: white;
        box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    }

    .tab-content {
        flex: 1;
        padding: 20px;
        display: none;
    }

    .tab-content.active {
        display: block;
    }

    .entry-tabs {
        width: 450px;
        padding: 20px;
        background-color: #f9f9f9;
        border-left: 2px solid #007BFF;
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        /* Define duas colunas */
        gap: 10px;
        /* Espaçamento entre os botões */
        margin-top: 20px;
        border-radius: 15px;
    }

    .entry-tabs button {
        background-color: #f1f1f1;
        border: 1px solid #ccc;
        padding: 10px;
        cursor: pointer;
        transition: background-color 0.3s;
        text-align: center;
        border-radius: 4px;
        box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    }

    .entry-tabs button:hover {
        background-color: #ddd;
    }

    .entry-tabs button.active {
        background-color: #007BFF;
        color: white;
    }

    form {
        background-color: #fff;
        border-radius: 8px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        padding: 20px;
    }

    label {
        display: block;
        margin-bottom: 8px;
        font-weight: bold;
    }

    input[type="text"],
    textarea {
        width: 100%;
        padding: 10px;
        margin-bottom: 15px;
        border: 1px solid #ccc;
        border-radius: 4px;
        font-size: 16px;
    }

    input[type="submit"] {
        display: block;
        width: 100%;
        padding: 10px;
        background-color: #007BFF;
        color: #fff;
        border: none;
        border-radius: 4px;
        font-size: 16px;
        cursor: pointer;
        transition: background-color 0.3s;
    }

    input[type="submit"]:hover {
        background-color: #0056b3;
    }

    fieldset {
        border: 2px solid #007BFF;
        border-radius: 8px;
        padding: 15px;
        margin-bottom: 20px;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    }

    legend {
        font-weight: bold;
        font-size: 1.2em;
        color: #007BFF;
        padding: 0 10px;
        width: auto;
        margin-bottom: 15px;
    }

    .entrada-container {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 20px;
    }

    .entrada-box {
        padding: 15px;
        background-color: #f9f9f9;
        border-radius: 8px;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    }
    </style>
</head>

<body>



    <div class="container">

        <!-- Coluna de Abas Esquerda -->
        <div class="tabs">
            <button class="tab-btn active" onclick="showMainTab(0)">Editar Registros</button>
            <button class="tab-btn" onclick="showMainTab(1)">Adicionar Novo Registro</button>
        </div>

        <!-- Conteúdo Central -->
        <div class="tab-content active" id="main-tab-0">
            <div class="content">
                <form action="" method="POST">
                    <div id="entry-content">
                        <p>Selecione uma entrada no lado direito para editar.</p>
                    </div>
                </form>
            </div>
        </div>

        <div class="tab-content" id="main-tab-1">
            <form action="" method="POST">
                <label for="nova_referencia">Referência:</label>
                <input type="text" id="nova_referencia" name="nova_referencia" required>

                <label for="nova_especificacao">Especificação:</label>
                <textarea id="nova_especificacao" name="nova_especificacao" rows="5" required></textarea>

                <label for="nova_fecharComo">Fechar como:</label>
                <input type="text" id="nova_fecharComo" name="nova_fecharComo">

                <input type="hidden" name="add" value="1">
                <input type="submit" value="Adicionar Registro">
            </form>
        </div>

        <!-- Coluna de Abas Direita -->
        <div class="entry-tabs">
            <?php foreach ($data as $key => $item): ?>
            <button class="entry-tab-btn <?php echo $key === 0 ? 'active' : ''; ?>"
                onclick="showEntryTab(<?php echo $key; ?>)">
                <?php echo htmlspecialchars($item['referencia']); // Exibir o nome da referência ?>
            </button>
            <?php endforeach; ?>
        </div>

    </div>

    <script>
    const entries = <?php echo json_encode($data); ?>;

    function showMainTab(tabIndex) {
        const mainTabs = document.querySelectorAll('.tab-content');
        const mainButtons = document.querySelectorAll('.tabs button');

        mainTabs.forEach((tab, index) => {
            tab.classList.remove('active');
            mainButtons[index].classList.remove('active');
        });

        mainTabs[tabIndex].classList.add('active');
        mainButtons[tabIndex].classList.add('active');
    }

    function showEntryTab(entryIndex) {
        const entryButtons = document.querySelectorAll('.entry-tab-btn');
        entryButtons.forEach(button => button.classList.remove('active'));
        entryButtons[entryIndex].classList.add('active');

        const entryContent = document.getElementById('entry-content');
        const entry = entries[entryIndex];

        entryContent.innerHTML = `
                <fieldset>
                    <legend>Entrada ${entry.referencia+ 1}</legend>
                    <label for="referencia_${entryIndex}">Referência:</label>
                    <input type="text" id="referencia_${entryIndex}" name="referencia[${entryIndex}]" value="${entry.referencia}" required>

                    <label for="especificacao_${entryIndex}">Especificação:</label>
                    <textarea id="especificacao_${entryIndex}" name="especificacao[${entryIndex}]" rows="5" required>${entry.especificacao}</textarea>

                    <label for="fecharComo_${entryIndex}">Fechar como:</label>
                    <input type="text" id="fecharComo_${entryIndex}" name="fecharComo[${entryIndex}]" value="${entry.fecharComo}">
                </fieldset>
                <input type="hidden" name="edit" value="1">
                <input type="submit" value="Salvar Alterações">
            `;
    }


    // Exibir a primeira entrada por padrão
    showEntryTab(0);
    </script>

</body>

</html>
