<x-guest-layout>
    @extends('layouts.csslogin')
    <div class="min-h-screen flex items-center justify-center bg-cover bg-center"
        style="background-image: url('{{ asset('img/papelparede.jpg') }}');">
        <!-- Fundo translúcido do formulário -->
        <div class="w-full max-w-md bg-white bg-opacity-90 shadow-lg rounded-lg p-8 backdrop-blur-md">
            <div class="text-center mb-6">
                <!-- Logotipo -->

                <img src="{{ asset('img/login-user.png') }}" alt="Logo" class="mx-auto h-16">

                <h1 class="text-2xl font-bold text-gray-700 mt-2">Bem-vindo(a)!</h1>
                <p class="text-sm text-gray-500">Entre e descubra nossas ofertas de velas aromatizadas!</p>
            </div>

            <!-- Mensagens de erro -->
            <x-validation-errors class="mb-4" />

            <!-- Mensagem de status -->
            @if (session('status'))
                <div class="mb-4 text-sm text-green-600 font-medium">
                    {{ session('status') }}
                </div>
            @endif

            <!-- Formulário -->
            <form method="POST" action="{{ route('login') }}" class="space-y-6">
                @csrf

                <!-- E-mail -->
                <div>
                    <x-label for="email" value="E-mail" class="text-gray-700" />
                    <x-input id="email" class="block mt-1 w-full bg-gray-50 border-gray-300 rounded-lg"
                        type="email" name="email" :value="old('email')" required autofocus
                        placeholder="Digite seu e-mail" />
                </div>

                <!-- Senha -->
                <div>
                    <x-label for="password" value="Senha" class="text-gray-700" />
                    <x-input id="password" class="block mt-1 w-full bg-gray-50 border-gray-300 rounded-lg"
                        type="password" name="password" required placeholder="Digite sua senha" />
                </div>

                <!-- Lembrar-me -->
                <div class="flex items-center justify-between">
                    <label for="remember_me" class="flex items-center">
                        <x-checkbox id="remember_me" name="remember" />
                        <span class="ml-2 text-sm text-gray-700">Lembrar-me</span>
                    </label>
                    @if (Route::has('password.request'))
                        <a class="text-sm text-indigo-600 hover:underline" href="{{ route('password.request') }}">
                            Esqueceu a senha?
                        </a>
                    @endif
                </div>

                <!-- Botão de Login -->
                <div>
                    <x-button class="w-full bg-amber-600 hover:bg-amber-700 text-white py-2 rounded-lg shadow-md">
                        Entrar
                    </x-button>
                </div>
            </form>

            <!-- Link de registro -->
            @if (Route::has('register'))
                <p class="text-center text-sm text-gray-600 mt-4">
                    Ainda não tem uma conta?
                    <a href="{{ route('register') }}" class="text-amber-600 hover:underline font-medium">
                        Cadastre-se
                    </a>
                </p>
            @endif
        </div>
    </div>
</x-guest-layout>
