<x-guest-layout>
    @extends('layouts.registercss');
    <div class="min-h-screen flex items-center justify-center bg-cover bg-center"
        style="background-image: url('{{ asset('img/papelparede.jpg') }}'); background-blend-mode: overlay; background-color: rgba(0, 0, 0, 0.6);">
        <div class="w-full max-w-md bg-white bg-opacity-90 shadow-lg rounded-lg p-6">
            <div class="flex justify-center mb-6">
                <img src="{{ asset('img/login-user.png') }}" alt="Logo" class="h-16 w-auto">
            </div>

            <h2 class="text-center text-2xl font-bold text-gray-700 mb-6">Crie sua conta</h2>

            <x-validation-errors class="mb-4" />

            <form method="POST" action="{{ route('register') }}">
                @csrf

                <!-- Nome -->
                <div>
                    <x-label for="name" value="Nome" class="text-gray-700" />
                    <x-input id="name" class="block mt-1 w-full rounded-lg" type="text" name="name"
                        :value="old('name')" required autofocus autocomplete="name" />
                </div>

                <!-- Email -->
                <div class="mt-4">
                    <x-label for="email" value="E-mail" class="text-gray-700" />
                    <x-input id="email" class="block mt-1 w-full rounded-lg" type="email" name="email"
                        :value="old('email')" required autocomplete="username" />
                </div>

                <!-- Senha -->
                <div class="mt-4">
                    <x-label for="password" value="Senha" class="text-gray-700" />
                    <x-input id="password" class="block mt-1 w-full rounded-lg" type="password" name="password"
                        required autocomplete="new-password" />
                </div>

                <!-- Confirmar Senha -->
                <div class="mt-4">
                    <x-label for="password_confirmation" value="Confirmar Senha" class="text-gray-700" />
                    <x-input id="password_confirmation" class="block mt-1 w-full rounded-lg" type="password"
                        name="password_confirmation" required autocomplete="new-password" />
                </div>

                <!-- Termos e Política -->
                @if (Laravel\Jetstream\Jetstream::hasTermsAndPrivacyPolicyFeature())
                    <div class="mt-4">
                        <x-label for="terms">
                            <div class="flex items-center">
                                <x-checkbox name="terms" id="terms" required />
                                <span class="ms-2 text-sm text-gray-600">
                                    Eu concordo com os
                                    <a href="{{ route('terms.show') }}" target="_blank"
                                        class="text-blue-600 hover:underline">Termos de Serviço</a> e a
                                    <a href="{{ route('policy.show') }}" target="_blank"
                                        class="text-blue-600 hover:underline">Política de Privacidade</a>.
                                </span>
                            </div>
                        </x-label>
                    </div>
                @endif <span>Obs:Sua conta sera criada como usuario simples!</span>

                <!-- Botão e Link -->
                <div class="flex items-center justify-between mt-6">

                    <a href="{{ route('login') }}" class="text-sm text-blue-600 hover:underline">
                        Já possui uma conta?
                    </a>
                    <x-button class="bg-blue-600 hover:bg-blue-700 text-white font-bold rounded-lg px-4 py-2">
                        Registrar
                    </x-button>
                </div>
            </form>
        </div>
    </div>
</x-guest-layout>
