@extends('layouts.main')
@section('content')
<div class="container my-4">
    <h1 class="text-center mb-4">Lista de Cidades</h1>

    <!-- Botão para adicionar nova cidade -->
    <div class="text-end mb-3">
        <a href="{{ route('cidades.create') }}" class="btn btn-primary">
            <i class="bi bi-plus-circle"></i> Adicionar Nova Cidade
        </a>
    </div>

    <!-- Verifica se existem cidades -->
    @if ($cidades->isEmpty())
        <div class="alert alert-warning text-center" role="alert">
            Nenhuma cidade cadastrada.
        </div>
    @else
        <!-- Exibe a tabela de cidades -->
        <div class="table-responsive">
            <table class="table table-striped table-bordered">
                <thead class="table-dark">
                    <tr>
                        <th scope="col">ID</th>
                        <th scope="col">Nome</th>
                        <th scope="col" class="text-center">Ações</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($cidades as $cidade)
                        <tr>
                            <td>{{ $cidade->id }}</td>
                            <td>{{ $cidade->nome }}</td>
                            <td class="text-center">
                                <!-- Link para editar a cidade -->
                                <a href="{{ route('cidades.edit', $cidade->id) }}" class="btn btn-sm btn-warning">
                                    <i class="bi bi-pencil"></i> Editar
                                </a>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    @endif
</div>
@endsection
